// Modified 2007/08/30 <roderick.young@lycos.com>
// This was formerly the file zdocm.h
// contains constants ONLY, as it is intended to be included
// into the pvm1.rcp file, also.
// This file should be included before the file pvm1_g.h,
// which contains all the global data structures and function
// prototypes.
// Modify 1999/05/05-2002/05/03 mizotec<HGH01156@nifty.ne.jp>

#define formID_pvm1	1000

#define menuID_pvm1	2000

#define menuitemID_help		2101
#define menuitemID_about	2102

#define fieldID_lastdate		3001
#define fieldID_lasttime		3002
#define fieldID_vin				3003
#define fieldID_iin				3004
#define fieldID_temp			3005
#define fieldID_efficiency		3006
#define fieldID_pout			3007
#define fieldID_eout			3008
#define fieldID_vout			3009
#define fieldID_sampleinterval	3010
#define fieldID_nextdate		3011
#define fieldID_nexttime		3012

#define alertID_about	3402
#define alertInfo	3403

//#define buttonID_ok		4000
#define buttonID_single		4001
#define buttonID_start		4002
#define buttonID_stop		4003

#define listID_interval    4500
#define popupID_interval   4501

#define stringID_help    7001

// Location of the status line
#define POS_STATUS      65

// A database containing a DOC will have these ID's associated with it.
#define DocTypeID	'TEXt'
#define DocCreator	'REAd'

// Creator ID, registered at Palm
#define pvm1AppID	'Pvm1'

// The version number of this build
#define pvm1Version	"1.1"

// Name of the log file
#define LOGFILENAME	"pvm1.csv"

// Number of digits in each meter reading
//#define READING_DIGITS 7

// Count of possible sampling intervals (seconds, minutes, hours, ...)
#define N_INTERVALS 4

// size of encryption key
#define KEYLEN 8
// max number of bytes per record in DOC format
#define MAXTEXTSIZE 4096
// A maximum of 11 extra characters could be emitted by the
// decompression routine before we catch it.
#define BUFSIZE (MAXTEXTSIZE+15)
